/[gentoo-x86]/app-office/libreoffice/libreoffice-4.0.9999.ebuild
Gentoo

Contents of /app-office/libreoffice/libreoffice-4.0.9999.ebuild

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.30 - (show annotations) (download)
Sat May 11 11:23:23 2013 UTC (15 months, 3 weeks ago) by scarabeus
Branch: MAIN
Changes since 1.29: +2 -2 lines
Older versions require old mdds due to incompatible api change. Wrt bug#469318.

(Portage version: 2.2.0_alpha174/cvs/Linux x86_64, signed Manifest commit with key 8EEE3BE8)

1 # Copyright 1999-2013 Gentoo Foundation
2 # Distributed under the terms of the GNU General Public License v2
3 # $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-4.0.9999.ebuild,v 1.29 2013/04/29 13:24:57 ago Exp $
4
5 EAPI=5
6
7 KDE_REQUIRED="optional"
8 QT_MINIMAL="4.7.4"
9 KDE_SCM="git"
10 CMAKE_REQUIRED="never"
11
12 PYTHON_COMPAT=( python2_7 python3_3 )
13 PYTHON_REQ_USE="threads,xml"
14
15 # experimental ; release ; old
16 # Usually the tarballs are moved a lot so this should make
17 # everyone happy.
18 DEV_URI="
19 http://dev-builds.libreoffice.org/pre-releases/src
20 http://download.documentfoundation.org/libreoffice/src/${PV:0:5}/
21 http://download.documentfoundation.org/libreoffice/old/${PV}/
22 "
23 EXT_URI="http://ooo.itc.hu/oxygenoffice/download/libreoffice"
24 ADDONS_URI="http://dev-www.libreoffice.org/src/"
25
26 BRANDING="${PN}-branding-gentoo-0.7.tar.xz"
27 # PATCHSET="${P}-patchset-01.tar.xz"
28
29 [[ ${PV} == *9999* ]] && SCM_ECLASS="git-2"
30 inherit base autotools bash-completion-r1 check-reqs eutils java-pkg-opt-2 kde4-base pax-utils python-single-r1 multilib toolchain-funcs flag-o-matic nsplugins ${SCM_ECLASS}
31 unset SCM_ECLASS
32
33 DESCRIPTION="LibreOffice, a full office productivity suite."
34 HOMEPAGE="http://www.libreoffice.org"
35 SRC_URI="branding? ( http://dev.gentoo.org/~dilfridge/distfiles/${BRANDING} )"
36 [[ -n ${PATCHSET} ]] && SRC_URI+=" http://dev.gentooexperimental.org/~scarabeus/${PATCHSET}"
37
38 # Help is used for the image generator
39 # We can also build translations and others if needed.
40 # Core must be first
41 MODULES="core help"
42 # Only release has the tarballs
43 if [[ ${PV} != *9999* ]]; then
44 for i in ${DEV_URI}; do
45 for mod in ${MODULES}; do
46 if [[ ${mod} == core ]]; then
47 # core is now packed without it in the name, git reponame stay
48 SRC_URI+=" ${i}/${P}.tar.xz"
49 else
50 SRC_URI+=" ${i}/${PN}-${mod}-${PV}.tar.xz"
51 fi
52 done
53 unset mod
54 done
55 unset i
56 fi
57 unset DEV_URI
58
59 # Really required addons
60 # These are bundles that can't be removed for now due to huge patchsets.
61 # If you want them gone, patches are welcome.
62 ADDONS_SRC+=" ${ADDONS_URI}/ea91f2fb4212a21d708aced277e6e85a-vigra1.4.0.tar.gz"
63 ADDONS_SRC+=" ${ADDONS_URI}/1f24ab1d39f4a51faf22244c94a6203f-xmlsec1-1.2.14.tar.gz" # modifies source code
64 ADDONS_SRC+=" java? ( ${ADDONS_URI}/17410483b5b5f267aa18b7e00b65e6e0-hsqldb_1_8_0.zip )"
65 ADDONS_SRC+=" libreoffice_extensions_wiki-publisher? ( ${ADDONS_URI}/a7983f859eafb2677d7ff386a023bc40-xsltml_2.1.2.zip )" # no release for 8 years, should we package it?
66 ADDONS_SRC+=" libreoffice_extensions_scripting-javascript? ( ${ADDONS_URI}/798b2ffdc8bcfe7bca2cf92b62caf685-rhino1_5R5.zip )" # Does not build with 1.6 rhino at all
67 ADDONS_SRC+=" libreoffice_extensions_scripting-javascript? ( ${ADDONS_URI}/35c94d2df8893241173de1d16b6034c0-swingExSrc.zip )" # requirement of rhino
68 ADDONS_SRC+=" odk? ( http://download.go-oo.org/extern/185d60944ea767075d27247c3162b3bc-unowinreg.dll )" # not packageable
69 SRC_URI+=" ${ADDONS_SRC}"
70
71 unset ADDONS_URI
72 unset EXT_URI
73 unset ADDONS_SRC
74
75 IUSE="bluetooth +branding +cups dbus debug eds gnome gstreamer +gtk
76 jemalloc kde mysql odk opengl postgres telepathy test +vba +webdav"
77
78 LO_EXTS="nlpsolver presenter-minimizer scripting-beanshell scripting-javascript wiki-publisher"
79 # Unpackaged separate extensions:
80 # diagram: lo has 0.9.5 upstream is weirdly patched 0.9.4 -> wtf?
81 # hunart: only on ooo extensions -> fubared download path somewhere on sf
82 # numbertext, typo, validator, watch-window: ^^
83 # oooblogger: no homepage or anything
84 # Extensions that need extra work:
85 # report-builder: missing java packages
86 for lo_xt in ${LO_EXTS}; do
87 IUSE+=" libreoffice_extensions_${lo_xt}"
88 done
89 unset lo_xt
90
91 LICENSE="|| ( LGPL-3 MPL-1.1 )"
92 SLOT="0"
93 [[ ${PV} == *9999* ]] || \
94 KEYWORDS="~amd64 ~arm ~ppc ~x86 ~amd64-linux ~x86-linux"
95
96 COMMON_DEPEND="
97 ${PYTHON_DEPS}
98 app-arch/zip
99 app-arch/unzip
100 >=app-text/hunspell-1.3.2-r3
101 app-text/mythes
102 >=app-text/libexttextcat-3.2
103 app-text/liblangtag
104 app-text/libmspub
105 app-text/libwpd:0.9[tools]
106 app-text/libwpg:0.2
107 >=app-text/libwps-0.2.2
108 >=app-text/poppler-0.16:=[xpdf-headers(+),cxx]
109 >=dev-cpp/clucene-2.3.3.4-r2
110 >=dev-cpp/libcmis-0.3.1:0.3
111 dev-db/unixODBC
112 dev-libs/expat
113 >=dev-libs/hyphen-2.7.1
114 >=dev-libs/icu-4.8.1.1:=
115 =dev-libs/liborcus-0.3*
116 >=dev-libs/nspr-4.8.8
117 >=dev-libs/nss-3.12.9
118 >=dev-lang/perl-5.0
119 >=dev-libs/openssl-1.0.0d
120 >=dev-libs/redland-1.0.14[ssl]
121 media-gfx/graphite2
122 >=media-libs/fontconfig-2.8.0
123 media-libs/freetype:2
124 media-libs/lcms:2
125 >=media-libs/libpng-1.4
126 >=media-libs/libcdr-0.0.5
127 media-libs/libvisio
128 >=net-misc/curl-7.21.4
129 net-nds/openldap
130 sci-mathematics/lpsolve
131 virtual/jpeg
132 >=x11-libs/cairo-1.10.0[X]
133 x11-libs/libXinerama
134 x11-libs/libXrandr
135 x11-libs/libXrender
136 bluetooth? ( net-wireless/bluez )
137 cups? ( net-print/cups )
138 dbus? ( >=dev-libs/dbus-glib-0.92 )
139 eds? ( gnome-extra/evolution-data-server )
140 gnome? ( gnome-base/gconf:2 )
141 gtk? (
142 x11-libs/gdk-pixbuf[X]
143 >=x11-libs/gtk+-2.24:2
144 )
145 gstreamer? (
146 media-libs/gstreamer:1.0
147 media-libs/gst-plugins-base:1.0
148 )
149 jemalloc? ( dev-libs/jemalloc )
150 libreoffice_extensions_scripting-beanshell? ( >=dev-java/bsh-2.0_beta4 )
151 libreoffice_extensions_scripting-javascript? ( dev-java/rhino:1.6 )
152 libreoffice_extensions_wiki-publisher? (
153 dev-java/commons-codec:0
154 dev-java/commons-httpclient:3
155 dev-java/commons-lang:2.1
156 dev-java/commons-logging:0
157 dev-java/tomcat-servlet-api:3.0
158 )
159 mysql? ( >=dev-db/mysql-connector-c++-1.1.0 )
160 opengl? (
161 virtual/glu
162 virtual/opengl
163 )
164 postgres? ( >=dev-db/postgresql-base-9.0[kerberos] )
165 telepathy? (
166 dev-libs/glib:2
167 >=net-libs/telepathy-glib-0.18.0
168 >=x11-libs/gtk+-2.24:2
169 )
170 webdav? ( net-libs/neon )
171 "
172
173 RDEPEND="${COMMON_DEPEND}
174 !app-office/libreoffice-bin
175 !app-office/libreoffice-bin-debug
176 !<app-office/openoffice-bin-3.4.0-r1
177 !app-office/openoffice
178 media-fonts/libertine-ttf
179 media-fonts/liberation-fonts
180 media-fonts/urw-fonts
181 java? ( >=virtual/jre-1.6 )
182 "
183
184 if [[ ${PV} != *9999* ]]; then
185 PDEPEND="~app-office/libreoffice-l10n-${PV}"
186 else
187 # Translations are not reliable on live ebuilds
188 # rather force people to use english only.
189 PDEPEND="!app-office/libreoffice-l10n"
190 fi
191
192 # FIXME: cppunit should be moved to test conditional
193 # after everything upstream is under gbuild
194 # as dmake execute tests right away
195 DEPEND="${COMMON_DEPEND}
196 >=dev-libs/boost-1.46
197 >=dev-libs/libxml2-2.7.8
198 dev-libs/libxslt
199 dev-perl/Archive-Zip
200 dev-util/cppunit
201 >=dev-util/gperf-3
202 dev-util/intltool
203 <dev-util/mdds-0.8.0
204 virtual/pkgconfig
205 net-misc/npapi-sdk
206 >=sys-apps/findutils-4.4.2
207 sys-devel/bison
208 sys-apps/coreutils
209 sys-devel/flex
210 sys-devel/gettext
211 >=sys-devel/make-3.82
212 sys-devel/ucpp
213 sys-libs/zlib
214 x11-libs/libXt
215 x11-libs/libXtst
216 x11-proto/randrproto
217 x11-proto/xextproto
218 x11-proto/xineramaproto
219 x11-proto/xproto
220 java? (
221 >=virtual/jdk-1.6
222 >=dev-java/ant-core-1.7
223 )
224 odk? ( app-doc/doxygen )
225 test? ( dev-util/cppunit )
226 "
227
228 PATCHES=(
229 # not upstreamable stuff
230 "${FILESDIR}/${PN}-3.7-system-pyuno.patch"
231 "${FILESDIR}/${PN}-3.7-separate-checks.patch"
232 )
233
234 REQUIRED_USE="
235 bluetooth? ( dbus )
236 gnome? ( gtk )
237 eds? ( gnome )
238 libreoffice_extensions_nlpsolver? ( java )
239 libreoffice_extensions_scripting-beanshell? ( java )
240 libreoffice_extensions_scripting-javascript? ( java )
241 libreoffice_extensions_wiki-publisher? ( java )
242 "
243
244 CHECKREQS_MEMORY="512M"
245 CHECKREQS_DISK_BUILD="6G"
246
247 pkg_pretend() {
248 local pgslot
249
250 if [[ ${MERGE_TYPE} != binary ]]; then
251 check-reqs_pkg_pretend
252
253 if [[ $(gcc-major-version) -lt 4 ]] || \
254 ( [[ $(gcc-major-version) -eq 4 && $(gcc-minor-version) -lt 6 ]] ) \
255 ; then
256 eerror "Compilation with gcc older than 4.6 is not supported"
257 die "Too old gcc found."
258 fi
259 fi
260
261 # ensure pg version
262 if use postgres; then
263 pgslot=$(postgresql-config show)
264 if [[ ${pgslot//.} < 90 ]] ; then
265 eerror "PostgreSQL slot must be set to 9.0 or higher."
266 eerror " postgresql-config set 9.0"
267 die "PostgreSQL slot is not set to 9.0 or higher."
268 fi
269 fi
270 }
271
272 pkg_setup() {
273 java-pkg-opt-2_pkg_setup
274 kde4-base_pkg_setup
275 python-single-r1_pkg_setup
276
277 [[ ${MERGE_TYPE} != binary ]] && check-reqs_pkg_setup
278 }
279
280 src_unpack() {
281 local mod mod2 dest tmplfile tmplname mypv
282
283 [[ -n ${PATCHSET} ]] && unpack ${PATCHSET}
284 use branding && unpack "${BRANDING}"
285
286 if [[ ${PV} != *9999* ]]; then
287 unpack "${P}.tar.xz"
288 for mod in ${MODULES}; do
289 [[ ${mod} == core ]] && continue
290 unpack "${PN}-${mod}-${PV}.tar.xz"
291 done
292 else
293 for mod in ${MODULES}; do
294 mypv=${PV/.9999}
295 [[ ${mypv} != ${PV} ]] && EGIT_BRANCH="${PN}-${mypv/./-}"
296 EGIT_PROJECT="${PN}/${mod}"
297 EGIT_SOURCEDIR="${WORKDIR}/${P}"
298 [[ ${mod} != core ]] && EGIT_SOURCEDIR="${WORKDIR}/${PN}-${mod}-${PV}"
299 EGIT_REPO_URI="git://anongit.freedesktop.org/${PN}/${mod}"
300 EGIT_NOUNPACK="true"
301 git-2_src_unpack
302 if [[ ${mod} != core ]]; then
303 mod2=${mod}
304 # mapping does not match on help
305 [[ ${mod} == help ]] && mod2="helpcontent2"
306 mkdir -p "${S}/${mod2}/" || die
307 mv -n "${WORKDIR}/${PN}-${mod}-${PV}"/* "${S}/${mod2}" || die
308 rm -rf "${WORKDIR}/${PN}-${mod}-${PV}"
309 fi
310 done
311 unset EGIT_PROJECT EGIT_SOURCEDIR EGIT_REPO_URI EGIT_BRANCH
312 fi
313 }
314
315 src_prepare() {
316 # fixed in master, flags order in bridges compilation
317 filter-flags -fomit-frame-pointer
318
319 # optimization flags
320 export ARCH_FLAGS="${CXXFLAGS}"
321 export LINKFLAGSOPTIMIZE="${LDFLAGS}"
322 export GMAKE_OPTIONS="${MAKEOPTS}"
323 # System python 2.7 enablement:
324 export PYTHON="${PYTHON}"
325 export PYTHON_CFLAGS=$(python_get_CFLAGS)
326 export PYTHON_LIBS=$(python_get_LIBS)
327
328 # patchset
329 if [[ -n ${PATCHSET} ]]; then
330 EPATCH_FORCE="yes" \
331 EPATCH_SOURCE="${WORKDIR}/${PATCHSET/.tar.xz/}" \
332 EPATCH_SUFFIX="patch" \
333 epatch
334 fi
335
336 base_src_prepare
337
338 AT_M4DIR="m4"
339 eautoreconf
340 # hack in the autogen.sh
341 touch autogen.lastrun
342
343 # system pyuno mess
344 sed \
345 -e "s:%eprefix%:${EPREFIX}:g" \
346 -e "s:%libdir%:$(get_libdir):g" \
347 -i pyuno/source/module/uno.py \
348 -i scripting/source/pyprov/officehelper.py || die
349
350 if use branding; then
351 # hack...
352 mv -v "${WORKDIR}/branding-intro.png" "${S}/icon-themes/galaxy/brand/intro.png" || die
353 fi
354 }
355
356 src_configure() {
357 local java_opts
358 local internal_libs
359 local lo_ext
360 local ext_opts
361 local jbs=$(sed -ne 's/.*\(-j[[:space:]]*\|--jobs=\)\([[:digit:]]\+\).*/\2/;T;p' <<< "${MAKEOPTS}")
362
363 # recheck that there is some value in jobs
364 [[ -z ${jbs} ]] && jbs="1"
365
366 # sane: just sane.h header that is used for scan in writer, not
367 # linked or anything else, worthless to depend on
368 # vigra: just uses templates from there
369 # it is serious pain in the ass for packaging
370 # should be replaced by boost::gil if someone interested
371 internal_libs+="
372 --without-system-sane
373 --without-system-vigra
374 "
375
376 # libreoffice extensions handling
377 for lo_xt in ${LO_EXTS}; do
378 if [[ "${lo_xt}" == "scripting-beanshell" || "${lo_xt}" == "scripting-javascript" ]]; then
379 ext_opts+=" $(use_enable libreoffice_extensions_${lo_xt} ${lo_xt})"
380 else
381 ext_opts+=" $(use_enable libreoffice_extensions_${lo_xt} ext-${lo_xt})"
382 fi
383 done
384
385 if use java; then
386 # hsqldb: system one is too new
387 java_opts="
388 --without-junit
389 --without-system-hsqldb
390 --with-ant-home="${ANT_HOME}"
391 --with-jdk-home=$(java-config --jdk-home 2>/dev/null)
392 --with-java-target-version=$(java-pkg_get-target)
393 --with-jvm-path="${EPREFIX}/usr/$(get_libdir)/"
394 "
395
396 use libreoffice_extensions_scripting-beanshell && \
397 java_opts+=" --with-beanshell-jar=$(java-pkg_getjar bsh bsh.jar)"
398
399 use libreoffice_extensions_scripting-javascript && \
400 java_opts+=" --with-rhino-jar=$(java-pkg_getjar rhino-1.6 js.jar)"
401
402 if use libreoffice_extensions_wiki-publisher; then
403 java_opts+="
404 --with-commons-codec-jar=$(java-pkg_getjar commons-codec commons-codec.jar)
405 --with-commons-httpclient-jar=$(java-pkg_getjar commons-httpclient-3 commons-httpclient.jar)
406 --with-commons-lang-jar=$(java-pkg_getjar commons-lang-2.1 commons-lang.jar)
407 --with-commons-logging-jar=$(java-pkg_getjar commons-logging commons-logging.jar)
408 --with-servlet-api-jar=$(java-pkg_getjar tomcat-servlet-api-3.0 servlet-api.jar)
409 "
410 fi
411 fi
412
413 # system headers/libs/...: enforce using system packages
414 # --enable-unix-qstart-libpng: use libpng splashscreen that is faster
415 # --enable-cairo: ensure that cairo is always required
416 # --enable-graphite: disabling causes build breakages
417 # --enable-*-link: link to the library rather than just dlopen on runtime
418 # --enable-release-build: build the libreoffice as release
419 # --disable-fetch-external: prevent dowloading during compile phase
420 # --disable-gnome-vfs: old gnome virtual fs support
421 # --disable-kdeab: kde3 adressbook
422 # --disable-kde: kde3 support
423 # --disable-pch: precompiled headers cause build crashes
424 # --disable-rpath: relative runtime path is not desired
425 # --disable-systray: quickstarter does not actually work at all so do not
426 # promote it
427 # --disable-zenity: disable build icon
428 # --enable-extension-integration: enable any extension integration support
429 # --without-{afms,fonts,myspell-dicts,ppsd}: prevent install of sys pkgs
430 # --disable-ext-report-builder: too much java packages pulled in
431 econf \
432 --docdir="${EPREFIX}/usr/share/doc/${PF}/" \
433 --with-system-headers \
434 --with-system-libs \
435 --with-system-jars \
436 --with-system-dicts \
437 --enable-cairo-canvas \
438 --enable-graphite \
439 --enable-largefile \
440 --enable-mergelibs \
441 --enable-python=system \
442 --enable-randr \
443 --enable-randr-link \
444 --enable-release-build \
445 --enable-unix-qstart-libpng \
446 --enable-hardlink-deliver \
447 --disable-ccache \
448 --disable-crashdump \
449 --disable-dependency-tracking \
450 --disable-epm \
451 --disable-fetch-external \
452 --disable-gnome-vfs \
453 --disable-gstreamer-0-10 \
454 --disable-ext-report-builder \
455 --disable-kdeab \
456 --disable-kde \
457 --disable-online-update \
458 --disable-pch \
459 --disable-rpath \
460 --disable-systray \
461 --disable-zenity \
462 --with-alloc=$(use jemalloc && echo "jemalloc" || echo "system") \
463 --with-build-version="Gentoo official package" \
464 --enable-extension-integration \
465 --with-external-dict-dir="${EPREFIX}/usr/share/myspell" \
466 --with-external-hyph-dir="${EPREFIX}/usr/share/myspell" \
467 --with-external-thes-dir="${EPREFIX}/usr/share/myspell" \
468 --with-external-tar="${DISTDIR}" \
469 --with-lang="" \
470 --with-parallelism=${jbs} \
471 --with-system-ucpp \
472 --with-unix-wrapper=libreoffice \
473 --with-vendor="Gentoo Foundation" \
474 --with-x \
475 --without-afms \
476 --without-fonts \
477 --without-myspell-dicts \
478 --without-system-mozilla \
479 --without-help \
480 --with-helppack-integration \
481 --without-sun-templates \
482 $(use_enable bluetooth sdremote-bluetooth) \
483 $(use_enable cups) \
484 $(use_enable debug) \
485 $(use_enable dbus) \
486 $(use_enable eds evolution2) \
487 $(use_enable gnome gconf) \
488 $(use_enable gnome gio) \
489 $(use_enable gnome lockdown) \
490 $(use_enable gtk) \
491 $(use_enable kde kde4) \
492 $(use_enable mysql ext-mysql-connector) \
493 $(use_enable odk) \
494 $(use_enable opengl) \
495 $(use_enable postgres postgresql-sdbc) \
496 $(use_enable telepathy) \
497 $(use_enable test linkoo) \
498 $(use_enable vba) \
499 $(use_enable webdav neon) \
500 $(use_with java) \
501 $(use_with mysql system-mysql-cppconn) \
502 $(use_with odk doxygen) \
503 ${internal_libs} \
504 ${java_opts} \
505 ${ext_opts}
506 }
507
508 src_compile() {
509 # hack for offlinehelp, this needs fixing upstream at some point
510 # it is broken because we send --without-help
511 # https://bugs.freedesktop.org/show_bug.cgi?id=46506
512 (
513 grep "^export" "${S}/config_host.mk" > "${T}/config_host.mk"
514 source "${T}/config_host.mk" 2&> /dev/null
515
516 local path="${SOLARVER}/${INPATH}/res/img"
517 mkdir -p "${path}" || die
518
519 echo "perl \"${S}/helpcontent2/helpers/create_ilst.pl\" -dir=icon-themes/galaxy/res/helpimg > \"${path}/helpimg.ilst\""
520 perl "${S}/helpcontent2/helpers/create_ilst.pl" \
521 -dir=icon-themes/galaxy/res/helpimg \
522 > "${path}/helpimg.ilst"
523 [[ -s "${path}/helpimg.ilst" ]] || ewarn "The help images list is empty, something is fishy, report a bug."
524 )
525
526 # this is not a proper make script
527 make build || die
528 }
529
530 src_test() {
531 make unitcheck || die
532 make slowcheck || die
533 }
534
535 src_install() {
536 # This is not Makefile so no buildserver
537 make DESTDIR="${D}" distro-pack-install -o build -o check || die
538
539 # Fix bash completion placement
540 newbashcomp "${ED}"/etc/bash_completion.d/libreoffice.sh ${PN}
541 rm -rf "${ED}"/etc/
542
543 if use branding; then
544 insinto /usr/$(get_libdir)/${PN}/program
545 newins "${WORKDIR}/branding-sofficerc" sofficerc
546 fi
547
548 # symlink the nsplugin to proper location
549 use gtk && inst_plugin /usr/$(get_libdir)/libreoffice/program/libnpsoplugin.so
550
551 # Hack for offlinehelp, this needs fixing upstream at some point.
552 # It is broken because we send --without-help
553 # https://bugs.freedesktop.org/show_bug.cgi?id=46506
554 insinto /usr/$(get_libdir)/libreoffice/help
555 doins xmlhelp/util/*.xsl
556
557 # Remove desktop files for support to old installs that can't parse mime
558 rm -rf "${ED}"/usr/share/mimelnk/
559 }
560
561 pkg_preinst() {
562 # Cache updates - all handled by kde eclass for all environments
563 kde4-base_pkg_preinst
564 }
565
566 pkg_postinst() {
567 kde4-base_pkg_postinst
568
569 pax-mark -m "${EPREFIX}"/usr/$(get_libdir)/libreoffice/program/soffice.bin
570 pax-mark -m "${EPREFIX}"/usr/$(get_libdir)/libreoffice/program/unopkg.bin
571
572 use java || \
573 ewarn 'If you plan to use lbase application you should enable java or you will get various crashes.'
574 }
575
576 pkg_postrm() {
577 kde4-base_pkg_postrm
578 }

  ViewVC Help
Powered by ViewVC 1.1.20